# Table of Contents - Builder API

## Pages

- README
  - Project: Builder
  - Goal
  - Classes
  - Usage
  - Compatibility
  - Version 2.0.0 Compatibility Changes
  - Version 1.0.0 Compatibility Changes
  - Features
  - Links
  - Contact

## Classes and Modules

- BlankSlate
- BlankSlate
- Builder
- Builder::IllegalBlockError
- Builder::XmlBase
- Builder::XmlEvents
  - XML Event Handler
- Builder::XmlMarkup
  - Notes:
- Fixnum
- Kernel
- Module
- Object
- String
- Symbol

## Methods

- ::check_for_name_collision — Builder
- ::new — Builder::XmlBase
- ::new — Builder::XmlMarkup
- #<< — Builder::XmlBase
- #_attr_value — Builder::XmlMarkup
- #_blankslate_as_name — Symbol
- #_blankslate_as_name — String
- #_end_tag — Builder::XmlMarkup
- #_end_tag — Builder::XmlEvents
- #_ensure_no_block — Builder::XmlMarkup
- #_escape — Builder::XmlBase
- #_escape_attribute — Builder::XmlBase
- #_indent — Builder::XmlBase
- #_insert_attributes — Builder::XmlMarkup
- #_nested_structures — Builder::XmlBase
- #_newline — Builder::XmlBase
- #_special — Builder::XmlMarkup
- #_start_tag — Builder::XmlEvents
- #_start_tag — Builder::XmlMarkup
- #_text — Builder::XmlMarkup
- #append_features — Module
- #blankslate_original_append_features — Module
- #cache_method_call — Builder::XmlBase
- #cdata! — Builder::XmlMarkup
- #comment! — Builder::XmlMarkup
- #declare! — Builder::XmlMarkup
- #explicit_nil_handling? — Builder::XmlBase
- #find_hidden_method — BlankSlate
- #find_hidden_method — BlankSlate
- #find_hidden_method — Object
- #hide — BlankSlate
- #hide — BlankSlate
- #instruct! — Builder::XmlMarkup
- #method_added — Object
- #method_added — Kernel
- #method_missing — Builder::XmlBase
- #nil? — Builder::XmlBase
- #reveal — BlankSlate
- #reveal — BlankSlate
- #tag! — Builder::XmlBase
- #target! — Builder::XmlMarkup
- #text! — Builder::XmlEvents
- #text! — Builder::XmlBase
- #to_xs — String
- #xchr — Fixnum